UNREGISTER_NETDEVI(9)

NAME
unregister_netdevice - remove device from the kernel

SYNOPSIS

int unregister_netdevice (struct net_device * dev);

ARGUMENTS

dev device

DESCRIPTION

This function shuts down a device interface and removes it from the kernel tables. On success 0 is returned, on a failure a negative errno code is returned.

Callers must hold the rtnl semaphore. You may want unregister_netdev instead of this.